Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Triangle_around_vertex_iterator< Complex, LinkType > Class Template Reference

Iterator over the triangles that are adjacent to a vertex of the simplicial complex. More...

`#include <include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_triangles_iterators.h>`

## Public Member Functions

| Triangle_around_vertex_iterator (const Complex *complex, Vertex_handle v, bool is_end)
| ugly hack to get an iterator to the end
| Triangle_around_vertex_iterator ()
| ugly hack to get an iterator to the end

## Detailed Description

template<typename Complex, typename LinkType>
class Gudhi::skeleton_blocker::Triangle_around_vertex_iterator< Complex, LinkType >

Iterator over the triangles that are adjacent to a vertex of the simplicial complex.

Remarks
  Will be removed soon -> don't look

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_triangles_iterators.h